Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.type1
Class PostscriptParser.PSVariable

    java.lang.Object
      org.apache.fop.fonts.type1.PostscriptParser.PSElement
          org.apache.fop.fonts.type1.PostscriptParser.PSVariable

Enclosing class:
  PostscriptParser

    public class PostscriptParser.PSVariable

extends PostscriptParser.PSElement

An object representing a Postscript variable

Field Summary

Fields inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement
`binaryEntries, endPoint, hasMore, operator, readBinary, tokens`

Constructor Summary
`PostscriptParser.PSVariable(java.lang.String operator, int startPoint)`

Method Summary
`java.lang.String` | `getValue()` Gets the value of the Postscript variable
`void` | `parseByte(byte cur, int pos)` Passes responsibility for processing the byte stream to the PostScript object
`void` | `parseToken(java.lang.String token, int curPos)` Delegates the parse routine to a sub class
`void` | `setEndPoint(int endPoint)` Sets the end point location of the current Postscript variable.
`void` | `setValue(java.lang.String value)` Sets the value of the Postscript variable value

Methods inherited from class org.apache.fop.fonts.type1.PostscriptParser.PSElement
`getBinaryEntries, getBinaryEntryByIndex, getEndPoint, getFoundUnexpected, getOperator, getStartPoint, hasMore, isInteger, parse, setFoundUnexpected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostscriptParser.PSVariable

    public PostscriptParser.PSVariable(java.lang.String operator,
                                       int startPoint)

Method Detail

### parseToken

    public void parseToken(java.lang.String token,
                           int curPos)

  Description copied from class: `PostscriptParser.PSElement`
  Delegates the parse routine to a sub class

  Specified by:
    `parseToken` in class `PostscriptParser.PSElement`
  Parameters:
    `token` - The token which to parse

### parseByte

    public void parseByte(byte cur,
                          int pos)

  Description copied from class: `PostscriptParser.PSElement`
  Passes responsibility for processing the byte stream to the PostScript object

  Specified by:
    `parseByte` in class `PostscriptParser.PSElement`
  Parameters:
    `cur` - The byte currently being read
    `pos` - The position of the given byte

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the Postscript variable value

  Parameters:
    `value` - The value to set

### getValue

    public java.lang.String getValue()

  Gets the value of the Postscript variable

  Returns:
    Returns the value as a String

### setEndPoint

    public void setEndPoint(int endPoint)

  Sets the end point location of the current Postscript variable.

  Parameters:
    `endPoint` - The end point location as an integer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.